Mail archive
alpine-aports

[alpine-aports] [PATCH 4/4] testing/neovim: new aport

From: Daniel Sabogal <dsabogalcc_at_gmail.com>
Date: Tue, 2 Aug 2016 15:02:40 -0400

From: Daniel Sabogal <dsabogalcc_at_gmail.com>

https://neovim.io
Vim-fork that aims to simplify maintainance and enchance user experience
---
 testing/neovim/APKBUILD | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)
 create mode 100644 testing/neovim/APKBUILD
diff --git a/testing/neovim/APKBUILD b/testing/neovim/APKBUILD
new file mode 100644
index 0000000..d068fbc
--- /dev/null
+++ b/testing/neovim/APKBUILD
_at_@ -0,0 +1,37 @@
+# Contributor: Daniel Sabogal <dsabogalcc_at_gmail.com>
+# Maintainer:
+pkgname=neovim
+pkgver=0.1.4
+pkgrel=0
+pkgdesc="Vim-fork that aims to simplify maintainance and enhance user experience"
+url="https://neovim.io"
+arch="all"
+license="Apache2.0 Custom"
+depends=""
+depends_dev=""
+makedepends="cmake gettext-dev libtermkey-dev libuv-dev libvterm-dev lua5.1-lpeg lua5.1-mpack luajit-dev msgpack-c-dev unibilium-dev"
+install=""
+subpackages="$pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://github.com/neovim/neovim/archive/v$pkgver.tar.gz"
+
+builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+	mkdir -p "$builddir"/build
+	cd "$builddir"/build
+	cmake .. \
+		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
+		-DCMAKE_INSTALL_PREFIX=/usr \
+		-DENABLE_JEMALLOC=OFF \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"/build
+	make DESTDIR="$pkgdir/" install || return 1
+}
+
+md5sums="0629174b4bee820fbc39343c746d6f9a  neovim-0.1.4.tar.gz"
+sha256sums="bb7e359eb83db20c5ec5984b470b249372b6dcd813ae2ccf72c01cce560f93e9  neovim-0.1.4.tar.gz"
+sha512sums="e96e768703e4b842355a7543e5c9980b148b9b10cd032570fb420e3e1207102f9769fa6d36fba1d263ed9333d339eab387a196d4a8f724d89db2800097b89d37  neovim-0.1.4.tar.gz"
-- 
2.8.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Aug 02 2016 - 15:02:40 GMT